using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;

/* Using declarations */

namespace Frog {
	class Frog {

        private GameSpace space;
        private Team team;
        private int id;

        private bool active;
        private bool finished;

		public static Texture2D frogSprite;
        public static Texture2D[] frogDice = new Texture2D[4];
        public static Texture2D frogLumen;


        /* Properties */

        public GameSpace Space
        {// The gamespace the frog is resting on.
            get { return space; }
			set { space = value; }
        }
        public Team Team
        {// The team the frog belongs to.
            get { return team; }
        }

        public int ID
        {
            get { return id; }
        }

        public bool Active
        {
            get { return active; }
            set { active = value; }
        }

        public bool Finished 
        {
            get { return finished; }
        }


        /* Constructors */

        public Frog(Team t, GameSpace gs, int id)
        {
            this.team = t;
            this.space = gs;
            this.id = id;
        }

        public void Draw(FrogGame game, Rectangle rect)
        {
            game.SpriteBatch.Draw(frogSprite, rect, team.Color);
            game.SpriteBatch.Draw(frogDice[id], rect, team.Color);
            if (active)
            {
                game.SpriteBatch.Draw(frogLumen, rect, Color.CornflowerBlue);
            }
        }

        public void finish()
        {
            finished = true;
        }

	}
}
