using System;
using System.Collections.Generic;
using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Audio;
using Microsoft.Xna.Framework.Content;
using Microsoft.Xna.Framework.Graphics;
using Microsoft.Xna.Framework.Input;
using Microsoft.Xna.Framework.Storage;


namespace Frog
{
    class Team
    {
        public enum TeamID
        {
            Orange,
            Purple,
            Blue,
            Green
        };

		private static Color[] colors = { Color.Orange, Color.Violet, Color.Blue, Color.Green };

		private TeamID id;
        private Frog[] frogs;
		private Frog activeFrog;

		public Color Color
		{
			get { return colors[(int)id]; }
		}
		public TeamID ID
		{
			get { return id; }
		}
        public Frog ActiveFrog
        {
            get { return activeFrog; }
        }

		public Team(TeamID ID, int numFrogs)
		{
			this.id = ID;
			frogs = new Frog[numFrogs];
			activeFrog = null;
		}

		public void AddFrog(Frog frog)
		{
			frogs[frog.ID] = frog;
		}

		public Frog this[int i]
		{
			get { return frogs[i]; }
		}

		public bool ChooseFrog(int i)
		{
			if(i >= 0 && i < frogs.Length && frogs[i].Finished)
				return false;
			if(activeFrog != null)
				activeFrog.Active = false;
			activeFrog = null;
			if(i >= 0 && i < frogs.Length)
			{
				activeFrog = frogs[i];
				activeFrog.Active = true;
			}
			return true;
		}

		public bool IsFinished()
		{
			foreach(Frog f in frogs)
			{
				if(!f.Finished)
					return false;
			}
			return true;
		}
	}
}
